### Method

# Ide Triplet get_vendor

#### Declaration

    const gchar*
    ide_triplet_get_vendor (
      IdeTriplet* self
    )

#### Description

Gets the vendor name of the machine.

Available since: | 3.32

#### Return value

Returns: | `const gchar*`
| The vendor name of the machine.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.